Bug 1692145 - missing dependencies on python2-wxpython and python2-pyserial
Summary: missing dependencies on python2-wxpython and python2-pyserial
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyobd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-24 15:57 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-04-04 03:11 UTC (History)
2 users (show)

Fixed In Version: python-pyobd-0.9.3-15.fc30 python-pyobd-0.9.3-15.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 00:03:49 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2019-03-24 15:57:26 UTC
Description of problem:
pyobd won't run if python2-wxpython and python2-pyserial are not installed, but they're not listed as dependencies.

Version-Release number of selected component (if applicable):
python2-pyobd-0.9.3-13.fc29.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf install python2-pyobd
2. dnf remove python2-wxpython python2-pyserial
3. pyobd

Actual results:
$ pyobd
Traceback (most recent call last):
  File "/usr/bin/pyobd", line 28, in <module>
    import wx
ImportError: No module named wx

$ pyobd
Traceback (most recent call last):
  File "/usr/bin/pyobd", line 30, in <module>
    import pyobd.obd_io as obd_io #OBD2 funcs
  File "/usr/lib/python2.7/site-packages/pyobd/obd_io.py", line 24, in <module>
    import serial
ImportError: No module named serial

Expected results:
Successful run.

Comment 1 Jaroslav Škarvada 2019-03-25 15:42:41 UTC
Thanks, it happen by package rename.

Comment 2 Fedora Update System 2019-03-25 16:10:35 UTC
python-pyobd-0.9.3-15.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e13376616d

Comment 3 Fedora Update System 2019-03-25 16:11:38 UTC
python-pyobd-0.9.3-15.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d0b4f57cb

Comment 4 Fedora Update System 2019-03-25 18:54:51 UTC
python-pyobd-0.9.3-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e13376616d

Comment 5 Fedora Update System 2019-03-27 04:34:09 UTC
python-pyobd-0.9.3-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d0b4f57cb

Comment 6 Fedora Update System 2019-03-31 00:03:49 UTC
python-pyobd-0.9.3-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-04 03:11:06 UTC
python-pyobd-0.9.3-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.